{% extends 'base.html.twig' %}

{% block title %}Sócios{% endblock %}

{% block body %}
    <div class="container">
        <div class="row">
            <h3 class="col-10">Sócios</h3>
            <div class="col-2">
                <div class="row">
                    <button type="button" class="btn btn-success offset-6" data-toggle="modal"
                            data-target="#addSocioModal">
                        Adicionar
                    </button>
                </div>
            </div>
        </div>
        <hr>
        <table class="table table-striped">
            <thead>
            <tr>
                <th scope="col">#</th>
                <th scope="col">CPF</th>
                <th scope="col">Nome</th>
                <th scope="col">Empresas</th>
                <th scope="col">Ações</th>
            </tr>
            </thead>
            <tbody id="socios">

            </tbody>
        </table>
    </div>
    {{ include('@socio/add_socio_modal.html.twig') }}
{% endblock %}

{% block scripts %}
    <script type="application/javascript">
        let socios = $('#socios');
        let data = {};
        $.ajax({
            type: 'GET',
            url: '/api/socios/',
            data: data,
            dataType: 'json',
            success: function (data) {
                let html = '';
                let row = 1;
                for(let socio of data){
                    html+=`<tr>
                              <th scope="row">${row}</th>
                              <td>${socio.cpf}</td>
                              <td>${socio.nome}</td>
                              <td>`;
                    for(let empresa of socio.empresas){
                        html+= `${empresa.nome_fantasia}<br>`
                    }
                    html+= `</td>
                             <td>
                               <a href="socios/${socio.id}"><i class="fas fa-edit"></i></a>
                               <i class="fas fa-trash" onclick="remove(${socio.id})"></i>
                             </td>
                           </tr>`;
                    row++;
                }
                socios.html(html);
            }
        });
        function remove(id){
            $.ajax({
                type: 'DELETE',
                url: `/api/socios/${id}`,
                dataType: 'json',
                success: function () {
                    window.location.replace('http://localhost:8000/socios');
                }
            });
        }
    </script>
{% endblock %}
